2.2.0.0-1 on Eee PC

Post your question about installing or upgrading to QCAD 2.1/2.2. Be sure to search, and check the docs before you post!

Moderator: andrew

morticiaskeeper
Newbie Member
Posts: 7
Joined: Fri Oct 12, 2007 6:11 pm

2.2.0.0-1 on Eee PC

Postby morticiaskeeper » Sun Apr 13, 2008 6:53 pm

I've trying to install version 2.2.0.0-1 on my Asus Eee PC (Xandros) and get the following error message when attempting to run QCad from the terminal prompt:

qcad: /lib/tls/lib.so.6: version 'GLIBC_2.4' not found (required by qcad)

And then my linux knowledge runs out :-(

User avatar
andrew
Site Admin
Posts: 4270
Joined: Fri Mar 30, 2007 6:07 am

Postby andrew » Sun Apr 13, 2008 8:17 pm

Thanks for your report. We have meanwhile updated all Linux packages with binaries that link against an older version of glibc. This should fix your problem.

Please download the updated version. Note that the version number of the package has a -2 behind it, i.e. "qcad-2.2.0.0-2-prof.linux.x86.tar.gz". If you still see the -1 package version, please click the reload button of your browser to update the page.

morticiaskeeper
Newbie Member
Posts: 7
Joined: Fri Oct 12, 2007 6:11 pm

Postby morticiaskeeper » Sun Apr 13, 2008 9:40 pm

thanks for your prompt reply.

qcad now works fine.

As a matter of interest, where should I be installing qcad?

Paul

User avatar
andrew
Site Admin
Posts: 4270
Joined: Fri Mar 30, 2007 6:07 am

Postby andrew » Sun Apr 13, 2008 10:04 pm

morticiaskeeper wrote:qcad now works fine.


Thanks for letting me know.

morticiaskeeper wrote:As a matter of interest, where should I be installing qcad?


This depends a lot on the personal preference of the user. Some users like to keep such packages in /opt (optional), or /usr/local (packages that are not part of the distribution), others prefer to keep it in the home directory, for example /home/tux/applications/qcad or /home/tux/opt. Note that QCad does not spread its files around the file system like you might be used to from other Linux applications.


Return to “QCAD 2.1/2.2 Installation and Upgrades”

Who is online

Users browsing this forum: No registered users and 1 guest